public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/graaff:master commit in: dev-ruby/database_cleaner/
Date: Wed, 25 Jul 2012 13:13:11 +0000 (UTC)	[thread overview]
Message-ID: <1343067901.91682cad12b8b367342307f3c25b5869d0ef9244.graaff@gentoo> (raw)

commit:     91682cad12b8b367342307f3c25b5869d0ef9244
Author:     Hans de Graaff <hans <AT> degraaff <DOT> org>
AuthorDate: Mon Jul 23 18:25:01 2012 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jul 23 18:25:01 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/graaff.git;a=commit;h=91682cad

Add ruby19. Restrict tests since they fail (seemingly innocently) with ruby19.

(Portage version: 2.1.10.65/git/Linux x86_64, signed Manifest commit with key 0x8883FA56A308A8D7!)

---
 dev-ruby/database_cleaner/ChangeLog                |    5 +++++
 dev-ruby/database_cleaner/Manifest                 |    6 +++---
 .../database_cleaner/database_cleaner-0.7.2.ebuild |    9 ++++++++-
 3 files changed, 16 insertions(+), 4 deletions(-)

diff --git a/dev-ruby/database_cleaner/ChangeLog b/dev-ruby/database_cleaner/ChangeLog
index 56437c9..fd93d7c 100644
--- a/dev-ruby/database_cleaner/ChangeLog
+++ b/dev-ruby/database_cleaner/ChangeLog
@@ -2,6 +2,11 @@
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  23 Jul 2012; Hans de Graaff <graaff@gentoo.org>
+  database_cleaner-0.7.2.ebuild:
+  Add ruby19. Restrict tests since they fail (seemingly innocently) with
+  ruby19.
+
   20 Jul 2012; Hans de Graaff <graaff@gentoo.org>
   -database_cleaner-0.6.4.ebuild, -database_cleaner-0.7.1.ebuild:
   Remove old versions.

diff --git a/dev-ruby/database_cleaner/Manifest b/dev-ruby/database_cleaner/Manifest
index 43934b5..4668816 100644
--- a/dev-ruby/database_cleaner/Manifest
+++ b/dev-ruby/database_cleaner/Manifest
@@ -6,7 +6,7 @@ DIST database_cleaner-0.7.2.gem 31744 SHA256 6273e46b3102e6c735db9a1206f226a6d7d
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2.0.19 (GNU/Linux)
 
-iF4EAREIAAYFAlAJJSgACgkQiIP6VqMIqNfA4QD+IpnWEbrHxJkfxlx7OpqMAAUR
-rH1UFfNrlSPRkl9QTMwA/iSbHMwNMxQ3oxe6Fk02co5IJSjgvQ9A7kXwlkWMNvQK
-=IKnb
+iF4EAREIAAYFAlANlv0ACgkQiIP6VqMIqNdsewD8CdkC0Vz0vAb8eAaZcYvx4GT0
+wzfdZApiqL7EWGJrW34A/iv9//eG1OttH7qQJXVwqV65riAuuYsW4Qikw+nuhp4k
+=r9J2
 -----END PGP SIGNATURE-----

diff --git a/dev-ruby/database_cleaner/database_cleaner-0.7.2.ebuild b/dev-ruby/database_cleaner/database_cleaner-0.7.2.ebuild
index 284ae44..59f4861 100644
--- a/dev-ruby/database_cleaner/database_cleaner-0.7.2.ebuild
+++ b/dev-ruby/database_cleaner/database_cleaner-0.7.2.ebuild
@@ -3,7 +3,7 @@
 # $Header:  $
 
 EAPI=4
-USE_RUBY="ruby18 ree18 jruby"
+USE_RUBY="ruby18 ruby19 ree18 jruby"
 
 inherit ruby-fakegem
 
@@ -23,6 +23,9 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86 ~x86-macos"
 IUSE=""
 
+# Tests fail for ruby19, figure this out later for newer versions.
+RESTRICT=test
+
 ruby_add_bdepend "test? ( dev-ruby/rake dev-ruby/rspec:0 )"
 
 all_ruby_prepare() {
@@ -36,3 +39,7 @@ all_ruby_prepare() {
 	# ruby-debug.
 	rm spec/spec.opts || die
 }
+
+each_ruby_test() {
+	${RUBY} -I. -S spec spec || die
+}


             reply	other threads:[~2012-07-25 13:13 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-07-25 13:13 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2013-09-05  5:50 [gentoo-commits] dev/graaff:master commit in: dev-ruby/database_cleaner/ Hans de Graaff
2013-06-21 11:37 Hans de Graaff
2013-06-21 11:37 Hans de Graaff
2012-11-20 10:00 Hans de Graaff
2012-09-24  8:42 Hans de Graaff
2012-07-22 17:21 Hans de Graaff
2012-04-30  9:30 Hans de Graaff
2012-03-13  8:31 Hans de Graaff
2011-06-28 12:17 Hans de Graaff
2011-06-28 12:17 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1343067901.91682cad12b8b367342307f3c25b5869d0ef9244.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox